"""Handle the options for the video thumbnailer"""

# $Id: options.py,v 1.7 2005/04/22 15:24:46 stephen Exp $

import os

import rox
import rox.options
import rox.OptionsBox

rox.setup_app_options('ROX-GNOME-thumbnailer', site='yuri.webhop.org')

tsize=rox.options.Option('tsize', 128)

rox.app_options.notify()

def install_button_handler1(*args):
    import rox.mime_handler
    try:
	rox.mime_handler.install_from_appinfo(rox.app_dir+"/evince")
    except:
        rox.report_exception()

def install_button_handler2(*args):
    import rox.mime_handler
    try:
	rox.mime_handler.install_from_appinfo(rox.app_dir+"/totem")
    except:
        rox.report_exception()

def install_button_handler3(*args):
    import rox.mime_handler
    try:
	rox.mime_handler.install_from_appinfo(rox.app_dir+"/font")
    except:
        rox.report_exception()

def install_button_handler4(*args):
    import rox.mime_handler
    try:
	rox.mime_handler.install_from_appinfo(rox.app_dir+"/gdesklets")
    except:
        rox.report_exception()

def install_button_handler5(*args):
    import rox.mime_handler
    try:
	rox.mime_handler.install_from_appinfo(rox.app_dir+"/office")
    except:
        rox.report_exception()

def install_button_handler6(*args):
    import rox.mime_handler
    try:
	rox.mime_handler.install_from_appinfo(rox.app_dir+"/theme")
    except:
        rox.report_exception()

def build_install_button1(box, node, label):
    button = rox.g.Button(label)
    box.may_add_tip(button, node)
    button.connect('clicked', install_button_handler1)
    return [button]

def build_install_button2(box, node, label):
    button = rox.g.Button(label)
    box.may_add_tip(button, node)
    button.connect('clicked', install_button_handler2)
    return [button]

def build_install_button3(box, node, label):
    button = rox.g.Button(label)
    box.may_add_tip(button, node)
    button.connect('clicked', install_button_handler3)
    return [button]

def build_install_button4(box, node, label):
    button = rox.g.Button(label)
    box.may_add_tip(button, node)
    button.connect('clicked', install_button_handler4)
    return [button]

def build_install_button5(box, node, label):
    button = rox.g.Button(label)
    box.may_add_tip(button, node)
    button.connect('clicked', install_button_handler5)
    return [button]

def build_install_button6(box, node, label):
    button = rox.g.Button(label)
    box.may_add_tip(button, node)
    button.connect('clicked', install_button_handler6)
    return [button]

rox.OptionsBox.widget_registry['install-evince'] = build_install_button1
rox.OptionsBox.widget_registry['install-totem'] = build_install_button2
rox.OptionsBox.widget_registry['install-font'] = build_install_button3
rox.OptionsBox.widget_registry['install-gdesklets'] = build_install_button4
rox.OptionsBox.widget_registry['install-office'] = build_install_button5
rox.OptionsBox.widget_registry['install-theme'] = build_install_button6

        
def edit_options():
    rox.edit_options()
